Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0018784
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementmajoralways2011-10-17 11:162011-11-04 13:56
ReportermaiteView Statuspublic 
Assigned Tomirurita 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision6ff1238ec5b0
ProjectionnoneETAnoneTarget Version3.0MP5
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0018784: Tax Payment process should properly manage Reverse Purchase/Sales invoices

DescriptionTax Payment process should properly manage Reverse Purchase/Sales invoices. Actually they appear with positive amount in tax payment but should appear with negative amount
Steps To Reproduce1. Follow manual: http://wiki.openbravo.com/wiki/ERP_2.50:Configuration_Manual/Tax_Payment [^]
to configure tax payment process
2. Create Sales Invoice for any BP and any product and tax included in tax payment process. Complete.
3. Create Reversed Sales Invoice for same BP and same product and tax and complete.
4. Go to Reversed Invoices tab and choose first invoice to keep them linked.
5. Run Tax Payment process from Financial Management // Receivables & Payables // Transactions // Tax Payment// Header.
6. Navigate to Lines and realize that both invoices appear as positive, when second one should be negative.
Proposed Solutionhave a look to https://issues.openbravo.com/view.php?id=18387 [^] [^] , as solution could be quite similar
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on backport 00187852.50MP36 closedmirurita Tax Payment process should properly manage Reverse Purchase/Sales invoices 

-  Notes
(0042063)
hgbot (developer)
2011-10-24 13:53

Repository: erp/devel/pi
Changeset: 6ff1238ec5b0a5114fab9521340f65f52767eb6c
Author: Mikel Irurita <mikel.irurita <at> openbravo.com>
Date: Mon Oct 24 13:52:44 2011 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/6ff1238ec5b0a5114fab9521340f65f52767eb6c [^]

Fixes issue 18784: Tax Payment process should properly manage Reverse Purchase/Sales invoices

---
M src/org/openbravo/erpCommon/ad_actionButton/CreateVatRegisters.java
M src/org/openbravo/erpCommon/ad_actionButton/CreateVatRegisters_data.xsql
---
(0042534)
maite (developer)
2011-11-04 12:27

verified
(0042552)
hudsonbot (developer)
2011-11-04 13:56

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/d10da320df2a [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2011-10-17 11:16 maite New Issue
2011-10-17 11:16 maite Assigned To => jonalegriaesarte
2011-10-17 11:16 maite Modules => Core
2011-10-17 11:37 maite Target Version => 3.0MP5
2011-10-17 11:37 maite Status new => scheduled
2011-10-17 11:37 maite fix_in_branch => pi
2011-10-17 11:37 maite Target Version 3.0MP5 =>
2011-10-17 11:37 maite fix_in_branch pi =>
2011-10-17 11:40 maite Target Version => 3.0MP5
2011-10-17 11:42 maite Proposed Solution updated
2011-10-17 19:29 jonalegriaesarte Assigned To jonalegriaesarte => mirurita
2011-10-24 13:53 hgbot Checkin
2011-10-24 13:53 hgbot Note Added: 0042063
2011-10-24 13:53 hgbot Status scheduled => resolved
2011-10-24 13:53 hgbot Resolution open => fixed
2011-10-24 13:53 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/6ff1238ec5b0a5114fab9521340f65f52767eb6c [^]
2011-11-04 12:27 maite Note Added: 0042534
2011-11-04 12:27 maite Status resolved => closed
2011-11-04 13:56 hudsonbot Checkin
2011-11-04 13:56 hudsonbot Note Added: 0042552


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker